<?php
/* 
 * $Horde$
 *
 * Generic delete API for Horde_Links 
 *
 * Copyright 2003, Jeroen Huinink <j.huinink@wanadoo.nl>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 * 
 * @author  Jeroen Huinink <j.huinink@wanadoo.nl>
 * @version $Revision$
 * @since   Horde 3.0
 * @package horde.links
 */

/* TODO: This is a quick and dirty implementation. When deleting we might want
 * to show the item first and ask for a confirmation. The layout of the page 
 * is also rather basic.
 */
define('HORDE_BASE', dirname(__FILE__));
require_once HORDE_BASE . '/lib/base.php';
require_once HORDE_BASE . '/lib/Links.php';
require_once HORDE_BASE . '/lib/Registry.php';
require_once HORDE_BASE . '/lib/Links.php';
$links = &Horde_Links::singleton($registry->getApp());

if (!Auth::getAuth()) {
    _returnToPage();
}

$from_application = Horde::getFormData('from_application');
$from_parameters = unserialize(Horde::getFormData('from_parameters'));
$to_application = Horde::getFormData('to_application');
$to_parameters = unserialize(Horde::getFormData('to_parameters'));
$link_type = Horde::getFormData('link_type');

$returnURL = Horde::getFormData('return_url');

require HORDE_TEMPLATES . '/common-header.inc';
$links->deleteLink($from_application, $from_parameters, $to_application, $to_parameters, $link_type);
?>
<h1>Delete Link</h1>
<?php
if ($registry->hasMethod($to_application . '/getLinkDescription')) {
?>
<p>The "<?php echo $link_type ?>" link to <?php echo $registry->call($to_application. '/getLinkDescription', $to_parameters); ?> has been removed.</p>
<?php } ?>
<p><a href="<?php echo $returnURL ?>" class="button"><?php echo _("Continue") ?></a></p>
<?php
require HORDE_TEMPLATES . '/common-footer.inc';
?>
